Subject: Re: bug#6571: paste long file in terminal

From: Jan Djärv <[email-masked]>
Date: Wed, 07 Jul 2010 19:53:49 +0200

Jan Djärv skrev 2010-07-06 20.17:
> I see this also in the trunk.  I see that emacs reads all characters of the
> pasted file, but after redisplay only about 1/7:th is output. This on
> gnome-terminal, emacs started with -Q -nw.
>
> Anybody got an idea what happens between read and output that can loose
> characters?
>

It is the kbd_buffer that is becoming full, and Emacs silently discards the 
remaining input.  This happens also on 23.1, so I guess it has been like this 
for a long time.

I've made a fix for the trunk.  If is should go in to the 23-branch is for the 
maintainers to deside.  It is not a regression, but bad that copy/paste fails 
without indication.

	Jan D.